org.jboss.jca.embedded.dsl.datasources10.api

## Enum TrackStatementsType

- java.lang.Object
- - java.lang.Enum<TrackStatementsType>
  - - org.jboss.jca.embedded.dsl.datasources10.api.TrackStatementsType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TrackStatementsType>

      public enum TrackStatementsType
      extends java.lang.Enum<TrackStatementsType>

  This class implements the `track-statementsType` xsd type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_FALSE`
    `_NOWARN`
    `_TRUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrackStatementsType` | `getFromStringValue(java.lang.String value)`
    `java.lang.String` | `toString()`
    `static TrackStatementsType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrackStatementsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _TRUE

          public static final TrackStatementsType _TRUE

    - #### _FALSE

          public static final TrackStatementsType _FALSE

    - #### _NOWARN

          public static final TrackStatementsType _NOWARN

  - ### Method Detail

    - #### values

          public static TrackStatementsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrackStatementsType c : TrackStatementsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrackStatementsType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TrackStatementsType>`

    - #### getFromStringValue

          public static TrackStatementsType getFromStringValue(java.lang.String value)

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)